﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinListView;
using System.Diagnostics;

namespace _85096
{
    public partial class Form1 : Form
    {
        DateTime dt;
        public Form1()
        {
            dt = DateTime.Now;
            InitializeComponent();
            Debug.WriteLine(string.Format("InitializeComponent takes {0}", DateTime.Now - dt));
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            dt = DateTime.Now;
            List<UltraListViewItem> items = new List<UltraListViewItem>();
            for (int i = 0; i < 150; i++)
            {
                UltraListViewItem item = new UltraListViewItem(string.Format("Item {0,2}", i));
                item.Value = string.Format("Item {0,2}", i);
                items.Add(item);
            }
            Debug.WriteLine(string.Format("Populating the List takes {0}", DateTime.Now - dt));
            dt = DateTime.Now;
            ultraListView1.Items.AddRange(items.ToArray());
            Debug.WriteLine(string.Format("Adding to ultraListView1 takes {0}", DateTime.Now - dt));
        }

       
    }
}
